// Function Prototypes

void PLLSetupBF(void);
void SetUpInterruptsBF(void);
void PinMuxing(void);
void SetUpSlaveSelects(void);
void SDInit (void);
void SDReadData (int Address, char* Destination);
void SDWriteData (int Address, char* Source);
void StatusReport(void);
void SDSendCmd (int Cmd, int Arg);
int  SDGetResponse (int Value);
void SDSetBlockLength (int Length);
void SDEraseGroup (int StartSector, int NumberOfSectors);
void SendCSDValue(void);
void SDSetWriteProtect(int Address);
void SDClearWriteProtect(int Address);
void SetUpAndEnableSpiCore (void);
void SetUpAndEnableSpiCoreWrite (void);
void SetUpAndEnableSpiDma (void);
void SetUpAndEnableSpiDmaTransmit (void);
void SetUpCommandArray(int Command, int value); 
void SDCommand(int Command, int value);
void SetupDMA(int Count, char* StartAddr);
void SetupDMATransmit(int Count, char* StartAddr);
void DisableCoreSPI(void);		
void DisableDmaSPI(void);
void DisableCoreSPIWrite(void);	
void SDCrcOnOff(int OnOff);
void Delay(void);
void DisableDmaSPITransmit(void);

EX_INTERRUPT_HANDLER (SDInitIsr);


